summaryrefslogtreecommitdiffstats
path: root/source/xap/seamonkey
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/seamonkey')
-rwxr-xr-xsource/xap/seamonkey/seamonkey.SlackBuild3
-rw-r--r--source/xap/seamonkey/seamonkey.rust-1.45.diff12
2 files changed, 15 insertions, 0 deletions
diff --git a/source/xap/seamonkey/seamonkey.SlackBuild b/source/xap/seamonkey/seamonkey.SlackBuild
index feacb5c11..15b286a04 100755
--- a/source/xap/seamonkey/seamonkey.SlackBuild
+++ b/source/xap/seamonkey/seamonkey.SlackBuild
@@ -122,6 +122,9 @@ cd seamonkey-${TARBALLVER} || exit 1
# Retain GTK+ v2 scrolling behavior:
zcat $CWD/sm.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
+# Fix building with latest Rust:
+zcat $CWD/seamonkey.rust-1.45.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure the perms/ownerships are sane:
chown -R root:root .
find . \
diff --git a/source/xap/seamonkey/seamonkey.rust-1.45.diff b/source/xap/seamonkey/seamonkey.rust-1.45.diff
new file mode 100644
index 000000000..bf7bf7a8f
--- /dev/null
+++ b/source/xap/seamonkey/seamonkey.rust-1.45.diff
@@ -0,0 +1,12 @@
+--- ./mozilla/config/rules.mk.orig 2020-06-06 14:59:53.000000000 -0500
++++ ./mozilla/config/rules.mk 2020-07-24 13:16:53.707149335 -0500
+@@ -874,7 +874,9 @@
+ ifndef DEVELOPER_OPTIONS
+ ifndef MOZ_DEBUG_RUST
+ # Enable link-time optimization for release builds.
++# Pass -Clto and CARGO_PROFILE_RELEASE_LTO=true.
+ cargo_rustc_flags += -C lto
++export CARGO_PROFILE_RELEASE_LTO=true
+ endif
+ endif
+